summaryrefslogtreecommitdiffstats
path: root/libraries
diff options
context:
space:
mode:
author Gerardo Zamudio2015-12-19 00:46:11 +0100
committer Willy Sudiarto Raharjo2015-12-19 01:23:16 +0100
commited6bd92037553d01f271077fa64c059587e04fa7 (patch)
tree97dbf0a7f82aa3ec0a28287a0ed22d1898c2b0ab /libraries
parent0bfc057b257caaf71ed18a7e7794b09a08bedf62 (diff)
downloadslackbuilds-ed6bd92037553d01f271077fa64c059587e04fa7.tar.gz
libraries/libgaminggear: Added (Libraries for gaming input devices).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'libraries')
-rw-r--r--libraries/libgaminggear/90-uinput.rules2
-rw-r--r--libraries/libgaminggear/README12
-rw-r--r--libraries/libgaminggear/libgaminggear.SlackBuild106
-rw-r--r--libraries/libgaminggear/libgaminggear.info10
-rw-r--r--libraries/libgaminggear/slack-desc19
5 files changed, 149 insertions, 0 deletions
diff --git a/libraries/libgaminggear/90-uinput.rules b/libraries/libgaminggear/90-uinput.rules
new file mode 100644
index 0000000000..400df0a0e2
--- /dev/null
+++ b/libraries/libgaminggear/90-uinput.rules
@@ -0,0 +1,2 @@
+KERNEL=="uinput", GROUP="uinput-users", MODE="0660"
+KERNEL=="uhid", GROUP="uinput-users", MODE="0660"
diff --git a/libraries/libgaminggear/README b/libraries/libgaminggear/README
new file mode 100644
index 0000000000..9253e2a310
--- /dev/null
+++ b/libraries/libgaminggear/README
@@ -0,0 +1,12 @@
+Libgaminggear provides functions and widgets common for gaming input
+devices.
+
+For input events to work for users (needed for software macros and such)
+they need access rights for uinput or uhid. To use them as normal user
+you should create an extra group like
+
+ # groupadd -r -g 317 uinput-users
+
+and add all needed users to this group
+
+ # usermod -a -G uinput-users $USER
diff --git a/libraries/libgaminggear/libgaminggear.SlackBuild b/libraries/libgaminggear/libgaminggear.SlackBuild
new file mode 100644
index 0000000000..98c137be54
--- /dev/null
+++ b/libraries/libgaminggear/libgaminggear.SlackBuild
@@ -0,0 +1,106 @@
+#!/bin/sh
+
+# Slackware build script for libgaminggear
+
+# Copyright 2015 Gerardo Zamudio <gerardo.zamudio@linux.com> Mexico City, Mexico
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=libgaminggear
+VERSION=${VERSION:-0.11.2}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+GROUP=${GROUP:-uinput-users}
+
+# Check the system group for uinput-users:
+if ! grep -q ^"$GROUP": /etc/group ; then
+ echo " You will need a system group to add users to for input events to work"
+ echo " # groupadd -r -g 317 $GROUP"
+ echo " should do the job. Add your user to this group."
+ exit 1
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvjf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+mkdir -p build
+cd build
+ cmake \
+ -DCMAKE_C_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_CXX_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_INSTALL_PREFIX=/usr \
+ -DLIB_SUFFIX=${LIBDIRSUFFIX} \
+ -DMAN_INSTALL_DIR=/usr/man \
+ -DCMAKE_BUILD_TYPE=Release ..
+ make
+ make install DESTDIR=$PKG
+cd ..
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+# setup udev rules for uinput and uhid modules
+mkdir -p $PKG/lib/udev/rules.d
+install -m 644 $CWD/90-uinput.rules $PKG/lib/udev/rules.d/
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/libraries/libgaminggear/libgaminggear.info b/libraries/libgaminggear/libgaminggear.info
new file mode 100644
index 0000000000..a883499a8a
--- /dev/null
+++ b/libraries/libgaminggear/libgaminggear.info
@@ -0,0 +1,10 @@
+PRGNAM="libgaminggear"
+VERSION="0.11.2"
+HOMEPAGE="http://sourceforge.net/projects/libgaminggear/"
+DOWNLOAD="http://downloads.sourceforge.net/libgaminggear/libgaminggear-0.11.2.tar.bz2"
+MD5SUM="ee960e4a6af28f4cd586a613cef0b893"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Gerardo Zamudio"
+EMAIL="gerardo.zamudio@linux.com"
diff --git a/libraries/libgaminggear/slack-desc b/libraries/libgaminggear/slack-desc
new file mode 100644
index 0000000000..99e6906306
--- /dev/null
+++ b/libraries/libgaminggear/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+libgaminggear: libgaminggear (Libraries for gaming input devices)
+libgaminggear:
+libgaminggear: Libgaminggear provides functions and widgets common for gaming input
+libgaminggear: devices.
+libgaminggear:
+libgaminggear:
+libgaminggear:
+libgaminggear:
+libgaminggear: Homepage: http://sourceforge.net/projects/libgaminggear/
+libgaminggear:
+libgaminggear: